# updateBogons

This script fetches a list of bogons from team cymru (see https://team-cymru.com/community-services/bogon-reference/) and updates the corresponding sets in the firewall.

The bogon list is downloaded then compared to the current list stored on the disk (got from the previous run). If the two list differ the corresponding nftables set is flushed then filled with the new list. This operation is atomic.

## Installation

This script need root privileges. The included systemd service files assumes that a group "nftables" exists and has the right to execute the command `nft` without password.

The default working directory is `/var/cache/updateBogons/` and is automatically created if it does not exist.

The `updateBogons` script must be placed in `/usr/local/bin/updateBogons`
